function MYU=LegendreZeros(p)
% finds all zeros of the Legendre Polynomials Pn(x)=0, for
% n=MaxDegree
% Courtesy: Nail Gumerov
warning off MATLAB:fzero:UndeterminedSyntax
L=floor(p/2);
a(1:L)=0;
b(1:L)=0;
MYU(1:p)=0;
for k=1:L
    a(k)=cos(2*pi*(L-k+1)/(2*p+1));
    b(k)=cos(pi*(2*L-2*k+1)/(2*p+1));
end;
for k=1:L
    x = fzero(@Pn,[a(k) b(k)],[],p);
    MYU(L-k+1)=-x;
    if mod(p,2)==0
       MYU(L+k)=x;
    else
       MYU(L+k+1)=x;
    end;
end;
% if mod(p,2)>0
%     MYU(L+1)=0;
% end;