% script file to produce results by running the script driver.m several
% times for different values of k,M

n=99;
theta = pi*(0:n)'/n;        % theta: 0 -> pi with zero on the z-axis
phi = 2*pi*(0:n)/n;         % phi: 0 -> 2pi with zero on the x-axis
wavNums=[0.4, 1, 3, 5];   % list of experimental wave numbers
% Deterministic and stochastic results for varying wave numbers
 figure
col=[' -r';' -g';' -b';' -k';' -m';' -c';' -y'];
for kidx=1:4 %1:length(wavNums)
    k=wavNums(kidx);
    M=0;
    fprintf('Run no. %d\n',kidx)
    tic, driver; toc
     %figure;
    %axes('Xlim',[0,pi]);
    hold on;
    plot(theta/pi*180,(mean(:,1,1)),'-r')    % sphere 1 deterministic
%    plot(theta,mean(:,1,2),'-r')    % sphere 2 deterministic
%     M=4;
%     tic, driver; toc
%     plot(theta/pi*180,mean(:,1,1),col(kidx,:))
%    plot(theta/pi*180,sqrt(var(:,1,1)),col(kidx,:))
%    legend('deterministic', 'stochastic mean', 'stochastic variance')
%     set(gca,'XTick',0:pi/4:pi)
%     set(gca,'XTickLabel',{'0','pi/4','pi/2','3/4pi','pi'})
%    title(['Mean and variance - k = ', num2str(k)]);
    hold off
end

% % Variance of results for varying M
% k=3;
% figure(1); hold on
% figure(2); hold on
% %axes('Xlim',[0,pi]);
% %hold on
% col=['-y';'-r';'-g';'-b';'-c';'-m';'-k'];
% trun=zeros(1,7);
% %nw=4;
% idx=1;
% for M=0:6
%     tic;
%     driver;
%     trun(idx)=toc;
%     figure(1); plot(theta,var(:,1,1),col(idx,:))
%     figure(2); plot(theta,var(:,1,2),col(idx,:))
%     idx=idx+1;
% end
% figure(1); legend('M = 0','M = 1','M = 2','M = 3','M = 4','M = 5','M = 6',0)
% figure(2); legend('M = 0','M = 1','M = 2','M = 3','M = 4','M = 5','M = 6',0)
% % legend('nw = 1','nw = 2','nw = 3','nw = 4','nw = 5','nw = 6',0)
% figure(1); set(gca,'XTick',-0:pi/4:pi)
% set(gca,'XTickLabel',{'0','pi/4','pi/2','3/4pi','pi'})
% title('Variance for k = 3 and M = 0 \rightarrow 6. Sphere 1');
% figure(2); set(gca,'XTick',-0:pi/4:pi)
% set(gca,'XTickLabel',{'0','pi/4','pi/2','3/4pi','pi'})
% title('Variance for k = 3 and M = 0 \rightarrow 6. Sphere 2');
% % title('Variance for k = 3 and nw = 1 \rightarrow 6');
% figure(1); hold off; figure(2); hold off
% 
% figure
% plot([0:6],trun);
% title('Elapsed time in seconds');
% xlabel('M'); ylabel('t (sec)');

% % plots for several latitudinal lines on the sphere (deterministic)
% meandb=20*log10(mean*4*pi*10);    % mean on a decibel scale
% plot(phi/pi*180,meandb(1,:,1),'-r')   % latitude = 0 degree
% hold on
% plot(phi/pi*180,meandb(17,:,1),'-r')   % latitude = 30 degree
% plot(phi/pi*180,meandb(34,:,1),'-r')   % latitude = 60 degree
% plot(phi/pi*180,meandb(67,:,1),'-r')   % latitude = 120 degree
% plot(phi/pi*180,meandb(84,:,1),'-r')   % latitude = 150 degree
% plot(phi/pi*180,meandb(100,:,1),'-r')   % latitude = 180 degree
% axis([0 400 -9 11])
% plot([180 180],[-9 11],':k')